org.mariadb.jdbc.internal.common.packet

## Class ResultSetPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.common.packet.ResultPacket
  - - org.mariadb.jdbc.internal.common.packet.ResultSetPacket

    public class ResultSetPacket
    extends ResultPacket

. User: marcuse Date: Jan 21, 2009 Time: 10:40:03 PM

### Nested Class Summary

### Nested classes/interfaces inherited from class org.mariadb.jdbc.internal.common.packet.ResultPacket

`ResultPacket.ResultType`

### Constructor Summary

Constructors
Constructor and Description
`ResultSetPacket(RawPacket rawPacket)`

### Method Summary

Methods
`long` `getFieldCount()`
`byte` `getPacketSeq()`
`ResultPacket.ResultType` `getResultType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultSetPacket

    public ResultSetPacket(RawPacket rawPacket)
                    throws IOException

Throws:
  `IOException`

### Method Detail

#### getResultType

    public ResultPacket.ResultType getResultType()

Specified by:
  `getResultType` in class `ResultPacket`

#### getPacketSeq

    public byte getPacketSeq()

Specified by:
  `getPacketSeq` in class `ResultPacket`

#### getFieldCount

    public long getFieldCount()